VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::MonitoringStub Class Reference

Remote stub implementation of the Monitoring API service. More...

Inherits vmware::appliance::Monitoring.

List of all members.

## Public Member Functions
| MonitoringStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItemData > | Query (vmware.appliance.MonitoringTypes.MonitoredItemDataRequest item)
| Get monitoring data.
global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItemData > | Query (vmware.appliance.MonitoringTypes.MonitoredItemDataRequest item, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitoring data.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItemData > > | QueryAsync (vmware.appliance.MonitoringTypes.MonitoredItemDataRequest item)
| Get monitoring data.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItemData > > | QueryAsync (vmware.appliance.MonitoringTypes.MonitoredItemDataRequest item, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitoring data.
global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItem > | List ()
| Get monitored items list.
global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItem > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitored items list.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItem > > | ListAsync ()
| Get monitored items list.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.MonitoringTypes.MonitoredItem > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitored items list.
vmware.appliance.MonitoringTypes.MonitoredItem | Get (string statId)
| Get monitored item info.
vmware.appliance.MonitoringTypes.MonitoredItem | Get (string statId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitored item info.
global::System.Threading.Tasks.Task < vmware.appliance.MonitoringTypes.MonitoredItem > | GetAsync (string statId)
| Get monitored item info.
global::System.Threading.Tasks.Task < vmware.appliance.MonitoringTypes.MonitoredItem > | GetAsync (string statId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get monitored item info.

## Detailed Description

Remote stub implementation of the Monitoring API service.

## Constructor & Destructor Documentation

vmware::appliance::MonitoringStub::MonitoringStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.MonitoringTypes.MonitoredItem vmware::appliance::MonitoringStub::Get | ( | string | statId | ) | `[inline]`

Get monitored item info.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  statId | statistic item id The parameter must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

Returns:
  MonitoredItem structure

Implements vmware::appliance::Monitoring.

vmware.appliance.MonitoringTypes.MonitoredItem vmware::appliance::MonitoringStub::Get | ( | string | statId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitored item info.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  statId | statistic item id The parameter must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  MonitoredItem structure

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<vmware.appliance.MonitoringTypes.MonitoredItem> vmware::appliance::MonitoringStub::GetAsync | ( | string | statId | ) | `[inline]`

Get monitored item info.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  statId | statistic item id The parameter must be an identifier for the resource type: `com.vmware.appliance.monitoring` .

Returns:
  MonitoredItem structure

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<vmware.appliance.MonitoringTypes.MonitoredItem> vmware::appliance::MonitoringStub::GetAsync | ( | string | statId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitored item info.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  statId | statistic item id The parameter must be an identifier for the resource type: `com.vmware.appliance.monitoring` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  MonitoredItem structure

Implements vmware::appliance::Monitoring.

global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItem> vmware::appliance::MonitoringStub::List | ( |  | ) | `[inline]`

Get monitored items list.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of names

Implements vmware::appliance::Monitoring.

global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItem> vmware::appliance::MonitoringStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitored items list.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of names

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItem> > vmware::appliance::MonitoringStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitored items list.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of names

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItem> > vmware::appliance::MonitoringStub::ListAsync | ( |  | ) | `[inline]`

Get monitored items list.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of names

Implements vmware::appliance::Monitoring.

global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItemData> vmware::appliance::MonitoringStub::Query | ( | vmware.appliance.MonitoringTypes.MonitoredItemDataRequest | item,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitoring data.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  item | MonitoredItemDataRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  list of MonitoredItemData structure

Implements vmware::appliance::Monitoring.

global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItemData> vmware::appliance::MonitoringStub::Query | ( | vmware.appliance.MonitoringTypes.MonitoredItemDataRequest | item | ) | `[inline]`

Get monitoring data.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  item | MonitoredItemDataRequest Structure

Returns:
  list of MonitoredItemData structure

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItemData> > vmware::appliance::MonitoringStub::QueryAsync | ( | vmware.appliance.MonitoringTypes.MonitoredItemDataRequest | item | ) | `[inline]`

Get monitoring data.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  item | MonitoredItemDataRequest Structure

Returns:
  list of MonitoredItemData structure

Implements vmware::appliance::Monitoring.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.MonitoringTypes.MonitoredItemData> > vmware::appliance::MonitoringStub::QueryAsync | ( | vmware.appliance.MonitoringTypes.MonitoredItemDataRequest | item,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get monitoring data.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  item | MonitoredItemDataRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  list of MonitoredItemData structure

Implements vmware::appliance::Monitoring.

The documentation for this class was generated from the following file:

- MonitoringStub.cs